New customers please implement the batch void operation "documents/void" end point. This TicketVoid API supports voiding a single GDS ticket. Generally a ticket can be voided only within the same day it was issued. At this time AirTicketing does not support canceling a GDS itinerary outside the void period.
Security
bearerAuth
Ticket Void request payload.
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/ticket/tickets/updatestatus/{Identifier}
- https://api.travelport.net/11https://api.travelport.net/11/air/ticket/tickets/updatestatus/{Identifier}
curl -i -X PUT \
https://api.pp.travelport.net/11/air/ticket/tickets/updatestatus/1259900123456 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
-d '{
"@type": "TicketQueryUpdateTicket",
"status": "Complete"
}'Response
{ "TicketIdResponse": { "@type": "response", "Ticket": null, "SettlementAuthorizationCode": "string", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }